Package Details: qhangups 1.8.1-1

Git Clone URL: https://aur.archlinux.org/qhangups.git (read-only, click to copy)
Package Base: qhangups
Description: Alternative client for Google Hangouts written in PyQt
Upstream URL: https://github.com/xmikos/qhangups
Licenses: GPL3
Submitter: Mikos
Maintainer: Mikos
Last Packager: Mikos
Votes: 13
Popularity: 0.000000
First Submitted: 2014-09-26 14:04
Last Updated: 2016-10-17 23:28

Latest Comments

« First ‹ Previous 1 2 3 4 Next › Last »

Theredbaron1834 commented on 2015-11-29 08:57

Crashes on startup with http://pastebin.com/tefgZGVK. Anybody have any idea as to why? Or have to fix?

Mikos commented on 2015-11-02 18:52

Update to latest version 1.7.0. QHangups is now PyQt 5 based and compatible with latest Hangups (this fixes problem that sysninja had). Also now you can read older history of messages just by scrolling to top.

sysninja commented on 2015-10-13 13:19

I can't connect. Does anyone have this kind of problem?

File "/usr/lib/python3.5/site-packages/hangups/channel.py", line 343, in _longpoll_request
yield from self._on_push_data(chunk)
File "/usr/lib/python3.5/site-packages/hangups/channel.py", line 364, in _on_push_data
yield from self.on_connect.fire()
File "/usr/lib/python3.5/site-packages/hangups/event.py", line 50, in fire
yield from gen
File "/usr/lib/python3.5/site-packages/hangups/event.py", line 48, in fire
gen = observer(*args, **kwargs)
TypeError: on_connect() missing 1 required positional argument: 'initial_data'


This is from hangups.log.

WovenTales commented on 2015-05-22 05:14

I really appreciate this, thanks! I assume we still need to go through the Chrome client for audio and/or video calls? I didn't find that, but I'd be a bit surprised if Google allowed us to completely circumvent their browser.

Also, it seems like python-six is a dependency, but it's not included in the list, and so requires manual installation before anything runs.

Mikos commented on 2015-05-20 12:19

Updated with new OAuth login. Sorry that it took that long...

Mikos commented on 2015-05-07 12:37

Yes, I think API has changed, I have seen some notifications from Hangups GitHub page about new OAuth login (instead of password-based Google auth). I will look into it when I will have time...

dreuter commented on 2015-05-07 12:19

I get the following error, while trying to connect:

Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/qhangups/__main__.py", line 169, in hangups_start
cookies = self.login(self.cookies_path)
File "/usr/lib/python3.4/site-packages/qhangups/__main__.py", line 123, in login
cookies = hangups.auth.get_auth(self.get_credentials, self.get_pin, cookies_path)
TypeError: get_auth() takes 2 positional arguments but 3 were given

Is this arch related, or should I file this at github (To me this just looks like the api of hangups did change)? Currently I don't have time to look into this...

sentience commented on 2015-04-30 18:10

Works now because robobrowser got updated.

sentience commented on 2015-04-26 21:59

Hi, I get the other error now :D

Traceback (most recent call last):
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 639, in _build_master
ws.require(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 940, in require
needed = self.resolve(parse_requirements(requirements))
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 832, in resolve
raise VersionConflict(dist, req).with_context(dependent_req)
pkg_resources.ContextualVersionConflict: (robobrowser 0.5.1 (/usr/lib/python3.4/site-packages), Requirement.parse('robobrowser>=0.5.2'), {'hangups'})

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "/usr/bin/qhangups", line 5, in <module>
from pkg_resources import load_entry_point
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 3057, in <module>
working_set = WorkingSet._build_master()
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 641, in _build_master
return cls._build_from_requirements(__requires__)
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 654, in _build_from_requirements
dists = ws.resolve(reqs, Environment())
File "/usr/lib/python3.4/site-packages/pkg_resources/__init__.py", line 827, in resolve
raise DistributionNotFound(req, requirers)
pkg_resources.DistributionNotFound: The 'robobrowser>=0.5.2' distribution was not found and is required by hangups

Mikos commented on 2015-04-26 19:00

Finally released version 1.5.3. There has been another (even worse) problem with PyQt4 (which can be only solved by removing PyQt4 requirement from setup.py). It should work now (at least it works on my machine ;-)).